<template>
	<view class="app">
		<view class="teamname">
			<image src="@/static/pagesB/myfamilydoctorteam.png" mode=""></image>
			<view class="name">
				{{list?list[0].teamName:''}}
			</view>
		</view>
		<view class="list">
			<view class="item" v-for='item in list'>
				<image src="../../static/docHead.png" mode=""></image>
				<view class="name">
					{{item.realname?item.realname:''}}
				</view>
				<view class="phone">
					{{item.mobilePhone?item.mobilePhone:''}}
				</view>
				<view class="title">
					{{item.teamMemberTypeName?item.teamMemberTypeName:''}}
				</view>
				<view class="zixunbtn" @tap='goseekadvicefrom'>
					咨询
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		getDoctorListtwo
	} from '@/api/pagesB/myfamilydoctorteam/index.js'
	export default {
		data() {
			return {
				pageNum: 1,
				pageSize: 10,
				teamNo: null,
				list: null,
				realname: '',
				total: 0,
			};
		},
		onLoad(options) {
			this.teamNo = options.teamNo
			this.info()
		},
		methods: {
			info() {
				getDoctorListtwo(this.pageNum, this.pageSize, this.teamNo, this.realname).then(res => {
					this.list = res.rows
					this.total = res.total
				})
			},
			//咨询
			goseekadvicefrom() {
				uni.navigateTo({
					url: `/pagesB/imagetextConsultation/imagetextConsultation`
				})
			},
		},
		onReachBottom() { //上滑加载
			if (this.list.length >= this.total) {} else {
				this.pageNum++;
				getDoctorListtwo(this.pageNum, this.pageSize, this.teamNo, this.realname).then(res => {
					res.rows.forEach(e => {
						this.list.push(e)
					})
					this.total = res.total
				})
			}
		},
		onPullDownRefresh() { //下拉刷新
			this.pageNum = 1;
			this.info()
			setTimeout(function() {
				uni.stopPullDownRefresh();
			}, 1000);
		},
	}
</script>

<style lang="scss">
	@import './myfamilydoctorteam.scss';
</style>